Ubuntu

Seems like the Kernel is triggering a "pppd[1725]: Modem hangup"

Reported by AIAMUZZ on 2011-05-28
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

Hello,

My Natty installation is triggering my Gobi2000 modem hangup. My Mobile Broadband connection is dissconnected as a result and the Gobi 2000 modem device vanishes from the nm-applet.

Case 1 : The Hangup is triggered with no clue as to what is causing it. In the first case the a restart does not fix the problem. Only a shutdown and switching on solves the issue until the next instance of this bug.

Casee 2 : The hangup is triggered, the device is missing from the nm-applet and after sometime the device re-appears and reconnects again.

However in the middle of creating this bug i just encountered this bug the 'Case 1' where it was completely gone. So just sent my laptop to sleep and when i woke it luckily i got the connection, i hope this lasts atleast until he finish this bug reporting.

I will also upload the syslog contents from the moment the above cases 1 & 2 were encountered.

Hope to find a fix to this annoying bug.

thanks,
AIAMUZZ

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: linux-image-2.6.38-8-generic 2.6.38-8.42
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC268 Analog [ALC268 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC268 Analog [ALC268 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: muz 1588 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0x58540000 irq 45'
   Mixer name : 'Realtek ALC268'
   Components : 'HDA:10ec0268,1025015b,00100101'
   Controls : 8
   Simple ctrls : 5
Date: Sat May 28 15:51:50 2011
HibernationDevice: RESUME=UUID=ba0caf86-c610-4a57-8df0-eb05ff3ad8c6
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
MachineType: Acer AOA150
ProcEnviron:
 LANGUAGE=en_IN:en
 LANG=en_IN
 LC_MESSAGES=en_IN.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic root=UUID=270d4649-918c-45b7-a889-27ace7b3f5bc ro quiet splash i8042.noloop=1 usbhid.quirks=0xeef:0x1:0x40 vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-2.6.38-8-generic N/A
 linux-backports-modules-2.6.38-8-generic N/A
 linux-firmware 1.52
SourcePackage: linux
UpgradeStatus: Upgraded to natty on 2011-05-14 (14 days ago)
dmi.bios.date: 10/06/2008
dmi.bios.vendor: Acer
dmi.bios.version: v0.3310
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.vendor: Acer
dmi.board.version: Base Board Version
dmi.chassis.type: 1
dmi.chassis.vendor: Chassis Manufacturer
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAcer:bvrv0.3310:bd10/06/2008:svnAcer:pnAOA150:pvr1:rvnAcer:rn:rvrBaseBoardVersion:cvnChassisManufacturer:ct1:cvrChassisVersion:
dmi.product.name: AOA150
dmi.product.version: 1
dmi.sys.vendor: Acer

AIAMUZZ (muzafsh-113) wrote :
AIAMUZZ (muzafsh-113) wrote :

Please find the following 2 files for the 2 cases of the bug.

Case 1 : Sudden Disconnect.txt

Case 2 : Sudden disconnect-reconnect.txt

Brad Figg (brad-figg) on 2011-05-31
Changed in linux (Ubuntu):
status: New → Confirmed
AIAMUZZ (muzafsh-113) wrote :

Its getting a little too annoying having to shutdown each time the modem hangup
occurs, and now its happening very frequently !!!

Please let me know if you need any readings off my affected installation.

thanks,

Same problem. What can I do to help?

BTW, could this be caused by selecting the wrong UQCN.mbn file?

AIAMUZZ (muzafsh-113) wrote :

Nope, unlikely!!!
This problem was not there on my maverick installation !!!

Is there a kernel patch or possibly a modem-manager patch for this? Really really annoying. At least hope this gets fixed in oneiric.

Nope. Still not fixed!

Got any clues? Anyone? Help?

Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . If possible, please test the latest release candidate kernel (Not a kernel in the daily directory). Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the others). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed by the mainline kernel, please add the following tag 'kernel-fixed-upstream-KERNEL-VERSION'. For example, if kernel version 3.1-rc9 fixed and issue, the tag would be: 'kernel-fixed-upstream-v3.1-rc9'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Thanks in advance.

tags: added: needs-upstream-testing
Download full text (7.7 KiB)

Just tested with 3.1.0-030100rc10-generic (RC10)[1] and problem still exists

Everything works well until the modem dies.

Here's from the syslog when it happened

> Oct 25 01:57:57 bobsacamano NetworkManager[2594]: <info> PPP manager(IP Config Get) reply received.
> Oct 25 01:57:57 bobsacamano NetworkManager[2594]: <info> Activation (ttyUSB1) Stage 4 of 5 (IP4 Configure Get) scheduled...
> Oct 25 01:57:57 bobsacamano NetworkManager[2594]: <info> Activation (ttyUSB1) Stage 4 of 5 (IP4 Configure Get) started...
> Oct 25 01:57:57 bobsacamano NetworkManager[2594]: <info> Activation (ttyUSB1) Stage 5 of 5 (IP Configure Commit) started...
> Oct 25 01:57:58 bobsacamano NetworkManager[2594]: <info> (ttyUSB1): device state change: ip-config -> activated (reason 'none') [70 100 0]
> Oct 25 01:57:58 bobsacamano NetworkManager[2594]: <info> Policy set 'Infocare' (ppp0) as default for IPv4 routing and DNS.
> Oct 25 01:57:58 bobsacamano NetworkManager[2594]: <info> Activation (ttyUSB1) successful, device activated.
> Oct 25 01:57:58 bobsacamano NetworkManager[2594]: <info> Activation (ttyUSB1) Stage 5 of 5 (IP Configure Commit) complete.
> Oct 25 01:57:58 bobsacamano NetworkManager[2594]: <info> Activation (ttyUSB1) Stage 4 of 5 (IP4 Configure Get) complete.
> Oct 25 01:57:58 bobsacamano dbus[724]: [system] Activating service name='org.freedesktop.nm_dispatcher' (using servicehelper)
> Oct 25 01:57:58 bobsacamano dbus[724]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
> Oct 25 01:58:07 bobsacamano ntpdate[3009]: adjust time server 91.189.94.4 offset -0.005078 sec
> Oct 25 02:09:01 bobsacamano CRON[3134]: (root) CMD ( [ -x /usr/lib/php5/maxlifetime ] && [ -d /var/lib/php5 ] && find /var/lib/php5/ -depth -mindepth 1 -maxdepth 1 -type f -cmin +$(/usr/lib/php5/maxlifetime) ! -execdir fuser -s {} 2>/dev/null \; -delete)
> Oct 25 02:15:30 bobsacamano pppd[2957]: Modem hangup
> Oct 25 02:15:30 bobsacamano modem-manager[2778]: <info> (ttyUSB1) closing serial port...
> Oct 25 02:15:30 bobsacamano modem-manager[2778]: <info> (ttyUSB1) serial port closed
> Oct 25 02:15:30 bobsacamano pppd[2957]: Connect time 17.6 minutes.
> Oct 25 02:15:30 bobsacamano pppd[2957]: Sent 1112571 bytes, received 2893984 bytes.
> Oct 25 02:15:30 bobsacamano kernel: [ 1636.308036] usb 2-1.6: USB disconnect, device number 5
> Oct 25 02:15:30 bobsacamano kernel: [ 1636.308489] qcserial ttyUSB0: Qualcomm USB modem converter now disconnected from ttyUSB0
> Oct 25 02:15:30 bobsacamano kernel: [ 1636.308536] qcserial 2-1.6:1.1: device disconnected
> Oct 25 02:15:30 bobsacamano kernel: [ 1636.309197] qcserial ttyUSB1: Qualcomm USB modem converter now disconnected from ttyUSB1
> Oct 25 02:15:30 bobsacamano kernel: [ 1636.309220] qcserial 2-1.6:1.2: device disconnected
> Oct 25 02:15:30 bobsacamano kernel: [ 1636.310097] qcserial ttyUSB2: Qualcomm USB modem converter now disconnected from ttyUSB2
> Oct 25 02:15:30 bobsacamano kernel: [ 1636.310163] qcserial 2-1.6:1.3: device disconnected
> Oct 25 02:15:30 bobsacamano pppd[2957]: Connection terminated.
> Oct 25 02:15:30 bobsacamano avahi-daemon[741]: Withdrawing workstation service for ppp0.
> Oct 25 02:15:31 bobsacama...

Read more...

tags: added: kernel-bug-exists-upstream
removed: needs-upstream-testing
tags: added: oneiric

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.0.0-12.20

As I am running oneiric, the latest kernel version there is 3.0.0-12.20 and the problem do still exist when I use that kernel.

tags: removed: kernel-request-3.0.0-12.20 natty
Joseph Salisbury (jsalisbury) wrote :

This issue appears to be an upstream bug, since you tested the latest upstream kernel. Would it be possible for you to open an upstream bug report at bugzilla.kernel.org [1]? That will allow the upstream Developers to examine the issue, and may provide a quicker resolution to the bug.

If you are comfortable with opening a bug upstream, It would be great if you can report back the upstream bug number in this bug report. That will allow us to link this bug to the upstream report.

The bugzilla.kernel.org may still be unavailable due to the recent break-in. One alternative would be to report this directly to the subsystem maintainer or to the Linux Kernel Mailing List - <email address hidden>

[1] https://wiki.ubuntu.com/Bugs/Upstream/kernel

Changed in linux (Ubuntu):
status: Incomplete → Triaged
Janne Paalijarvi (jpaalija) wrote :

I have also the same problem. What can I do to help? I'm running operator-unlocked Gobi 2000 in Thinkpad X120e running Kubuntu 11.04. I have proprietary ATI binary drivers installed.

Janne Paalijarvi (jpaalija) wrote :

It seems that this is related to bad signal quality. Yesterday I had a 8 hour meeting in a place with bad GSM reception. After every 15 minutes the connection dropped. I spent the night in an apartment on sixth floor with good signal quality. Now the connection didn't drop even once during about 8 hours.

Marius B. Kotsbak (mariusko) wrote :

Has anyone of you experienced this bug in more recent Ubuntu versions?

tags: removed: kernel-bug-exists-upstream
Changed in linux (Ubuntu):
status: Triaged → Incomplete
Janne Paalijarvi (jpaalija) wrote :

Yes, I still have it. Constantly for example during bus rides to work. Also happens stationary, bad network signal quality seems to be affecting this. I think that also that if network utilization is high, the device is more likely to stay visible to the operating system and work ok. I don't know if Windows has this bug. It is however highly frustrating in Linux and rendering the device unusable for some. I have considered buying an alternative card to see if it performed better.

This happens in Kubuntu 12.04 LTS with kernel
3.2.0-31-generic #50-Ubuntu SMP Fri Sep 7 16:16:45 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

This is what happens in dmesg when device (and network) disconnects:

[80790.192547] usb 1-5: USB disconnect, device number 39
[80790.193168] qcserial ttyUSB0: Qualcomm USB modem converter now disconnected from ttyUSB0
[80790.193230] qcserial 1-5:1.1: device disconnected
[80790.200470] qcserial ttyUSB1: Qualcomm USB modem converter now disconnected from ttyUSB1
[80790.200500] qcserial 1-5:1.2: device disconnected
[80790.200739] qcserial ttyUSB2: Qualcomm USB modem converter now disconnected from ttyUSB2
[80790.200775] qcserial 1-5:1.3: device disconnected

And this happens when the device comes back:

[80790.496243] usb 1-5: new high-speed USB device number 40 using ehci_hcd
[80790.631018] usb 1-5: config 1 has an invalid interface number: 1 but max is 0
[80790.631034] usb 1-5: config 1 has no interface number 0
[80790.636336] qcserial 1-5:1.1: Qualcomm USB modem converter detected
[80790.636876] usb 1-5: Qualcomm USB modem converter now attached to ttyUSB0
[80793.985067] usb 1-5: USB disconnect, device number 40
[80793.996588] qcserial ttyUSB0: Qualcomm USB modem converter now disconnected from ttyUSB0
[80793.996658] qcserial 1-5:1.1: device disconnected
[80794.776509] usb 1-5: new high-speed USB device number 41 using ehci_hcd
[80794.920269] qcserial 1-5:1.1: Qualcomm USB modem converter detected
[80794.920932] usb 1-5: Qualcomm USB modem converter now attached to ttyUSB0
[80794.922823] qcserial 1-5:1.2: Qualcomm USB modem converter detected
[80794.923284] usb 1-5: Qualcomm USB modem converter now attached to ttyUSB1
[80794.924829] qcserial 1-5:1.3: Qualcomm USB modem converter detected
[80794.925271] usb 1-5: Qualcomm USB modem converter now attached to ttyUSB2

Sometimes the device does come back onlne and sometimes it doesn't. I fix this by rmmod qcseril ; modprobe qcserial . If the module is in use, I just restart network-manager daemon, then reload the module.

TL;DR: The problem still exists in Kubuntu 12.04 LTS and kernel 3.2.0-31-generic.

Marius B. Kotsbak (mariusko) wrote :

Would it be possible for you to test the latest upstream kernel? It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . If possible, please test the latest release candidate kernel (Not a kernel in the daily directory). Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the others). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed by the mainline kernel, please add the following tag 'kernel-fixed-upstream-KERNEL-VERSION'. For example, if kernel version 3.1-rc9 fixed and issue, the tag would be: 'kernel-fixed-upstream-v3.1-rc9'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

There are newer 3.2 kernel packages for precise available here: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.2.30-precise and 3.5 kernels here:

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-quantal/

Also, it would be interesting if you could test the latest Ubuntu Quantal daily iso image.
Thanks in advance.

tags: added: needs-upstream-testing precise
Janne Paalijarvi (jpaalija) wrote :

Marius: Yes, I can test this, but only after 28. of this month. I have upcoming communal elections which I need attend to and spend all of my resources there.

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers